Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping
Class SLQ_MS

    java.lang.Object
      mapping.MappingScheme
          mapping.SLQ_MS

    public class SLQ_MS

extends MappingScheme

This is an implementation of the SLQ scheduling policy

Author:
  Ben Kybartas & Majd Kokaly

Constructor Summary
`SLQ_MS(Mapper mapper)` A default constructor.

Method Summary
`JobsQueue[]` | `getClassesQueues()`
`void` | `handleJobTimeOut(long jobID)` Resubmit timed out jobs
`void` | `initQueues()` This method initializes a queue for every job class
`void` | `serverIsDown(int serverID)` The implementation of this method determines what should happen a server goes down.
`void` | `serverIsUp(int serverID)` The implementation of this method determines what should happen a server becomes up.
`void` | `setClassesQueue(JobsQueue[] ClassesQueues)`
`void` | `startMappingScheme()` This method is invoked after the servers and the job classes are defined.
`void` | `stopMappingScheme()` In this method, the program- mer should define operations that stop the execution of the system processes (e.g mapping and generation).

Methods inherited from class mapping.MappingScheme
`getDescription, getMapper, setDescription, setMapper`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLQ_MS

    public SLQ_MS(Mapper mapper)

  A default constructor.

  Parameters:
    `mapper` - The mapper object

Method Detail

### getClassesQueues

    public JobsQueue[] getClassesQueues()

### setClassesQueue

    public void setClassesQueue(JobsQueue[] ClassesQueues)

### startMappingScheme

    public void startMappingScheme()

  Description copied from class: `MappingScheme`
  This method is invoked after the servers and the job classes are defined. It is invoked before the start of the operation. In this method, initialization operations are defined. For instance, if the mapping scheme depends on a thread, the thread is initialized and started.

  Specified by:
    `startMappingScheme` in class `MappingScheme`
  See Also:
    `MappingScheme.startMappingScheme()`

### stopMappingScheme

    public void stopMappingScheme()

  Description copied from class: `MappingScheme`
  In this method, the program- mer should define operations that stop the execution of the system processes (e.g mapping and generation). This can be useful if the system execution is wished to be restarted after stopping it.

  Specified by:
    `stopMappingScheme` in class `MappingScheme`
  See Also:
    `MappingScheme.stopMappingScheme()`

### handleJobTimeOut

    public void handleJobTimeOut(long jobID)

  Resubmit timed out jobs

  Specified by:
    `handleJobTimeOut` in class `MappingScheme`
  See Also:
    `MappingScheme.handleJobTimeOut(long)`

### serverIsDown

    public void serverIsDown(int serverID)

  Description copied from class: `MappingScheme`
  The implementation of this method determines what should happen a server goes down. For instance, the LPAS_DG policy resolves the LP allocation.

  Specified by:
    `serverIsDown` in class `MappingScheme`
  Parameters:
    `serverID` - the serverID of the server that became unavailable
  See Also:
    `MappingScheme.serverIsDown(int)`

### serverIsUp

    public void serverIsUp(int serverID)

  Description copied from class: `MappingScheme`
  The implementation of this method determines what should happen a server becomes up. For instance, the LPAS_DG policy resolves the LP allocation.

  Specified by:
    `serverIsUp` in class `MappingScheme`
  Parameters:
    `serverID` - the serverID of the server that became unavailable
  See Also:
    `MappingScheme.serverIsUp(int)`

### initQueues

    public void initQueues()

  This method initializes a queue for every job class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD